<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use App\Models\Role;
use App\Models\Location;
use App\Models\Status;
use Illuminate\Database\Seeder;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        // \App\Models\User::factory(10)->create();


        $admin = Role::create([
            "role" => "Admin"
        ]);
        Location::create([
            "name" => "Cilegon"
        ]);
        $this->call(AdminUserSeeder::class);
        $this->call(action::class);

        Status::insert(
            [
                ["name" => "Baik"],
                ["name" => "Rusak"],
                ["name" => "Layak Pakai"],
                ["name" => "Tidak Tersedia"],
            ]
        );

    }
}
